import { Config } from '../../config';
import { TaskQueue } from "aurelia-framework";
export interface PaginationPage {
    title: string;
    value: number;
}
export declare class UIPagination {
    private taskQueue;
    private config;
    private currentPage;
    private totalPages;
    private paginationSize;
    private resetPageIfInvalidOnly;
    private displayPages;
    private hideSinglePage;
    private boundaryLinks;
    private directionLinks;
    constructor(taskQueue: TaskQueue, config: Config);
    bind(): void;
    totalPagesChanged(): void;
    paginationSizeChanged(): void;
    private resetCurrentPage;
    currentPageChanged(): void;
    calculatePages(): void;
    displayAllPages(): void;
    limitVisiblePages(): void;
    selectPage(page: number): void;
    nextPage(): void;
    previousPage(): void;
    firstPage(): void;
    lastPage(): void;
}
